Koozali.org formerly Contribs.org

Who gave SME Sever 10Alpha3 a test run?

Offline Franco

  • *
  • 1,169
    • http://contribs.org
Re: Who gave SME Sever 10Alpha3 a test run?
« Reply #15 on: January 09, 2018, 02:19:11 AM »
Thanks all, at least now I know I'm not alone!

About the errors, I know it's a early "late" product, but I've tried every single alpha/beta since SME5, and I'm aching to see samba4 in action ;-)

After the updates, the samba protocol, nmbd to be more precisely, does not work. Be it Windows, Mac or linux.
So it's not related to Windows 10.

I fixed by regressing libtevent-0.9.28-1.el7.x86_64.rpm.
Uninstall the 0.9.31 and install the earlier version and restart samba.

Thanks,



Offline edb

  • *
  • 497
Re: Who gave SME Sever 10Alpha3 a test run?
« Reply #16 on: April 26, 2018, 07:03:47 AM »
Could you explain how exactly you fix this as I am not successful in removing libtevent-0.9.31-2.el7_4.x86_64 as too many dependencies.
Can you provide the commands you used to accomplish the removal back to  libtevent-0.9.28-1.el7.x86_64.rpm?
Thank you

-edb
......

Offline Jean-Philippe Pialasse

  • *
  • 1,160
  • aka Unnilennium
    • http://smeserver.pialasse.com
Re: Who gave SME Sever 10Alpha3 a test run?
« Reply #17 on: April 26, 2018, 06:05:38 PM »
Could you explain how exactly you fix this as I am not successful in removing libtevent-0.9.31-2.el7_4.x86_64 as too many dependencies.
Can you provide the commands you used to accomplish the removal back to  libtevent-0.9.28-1.el7.x86_64.rpm?
Thank you

-edb
Code: [Select]
yum update smeserver-yum --enablerepo=smeupdates-testing -y
signal-event yum-modify
yum downgrade libtevent  --disablerepo=* --enablerepo=smeupdates-testing,smeos,smeupdates



should do

then you can use regular update


Offline Franco

  • *
  • 1,169
    • http://contribs.org
Re: Who gave SME Sever 10Alpha3 a test run?
« Reply #18 on: April 26, 2018, 06:48:12 PM »
Hi,

Or just do like I did:
rpm -e libtevent-0.9.31-2.el7_4.x86_64

and install the the older one.

Thanks,

Offline edb

  • *
  • 497
Re: Who gave SME Sever 10Alpha3 a test run?
« Reply #19 on: April 26, 2018, 07:15:23 PM »
Thank you for the response but when I tried it I got the following errors:
Code: [Select]
==============================================================
[root@smeserver-10 ~]# signal-event yum-modify
[root@smeserver-10 ~]# yum downgrade libtevent  --disablerepo=* --enablerepo=sme
updates-testing,smeos,smeupdates
Loaded plugins: fastestmirror, post-transaction-actions, smeserver
Loading mirror speeds from cached hostfile
 * smeos: mirror.canada.pialasse.com
 * smeupdates: mirror.canada.pialasse.com
 * smeupdates-testing: mirror.canada.pialasse.com
Resolving Dependencies
--> Running transaction check
---> Package libtevent.x86_64 0:0.9.28-1.el7 will be a downgrade
---> Package libtevent.x86_64 0:0.9.31-2.el7_4 will be erased
--> Finished Dependency Resolution
Error: Package: python-tevent-0.9.31-2.el7_4.x86_64 (@smeupdates)
           Requires: libtevent(x86-64) = 0.9.31-2.el7_4
           Removing: libtevent-0.9.31-2.el7_4.x86_64 (@smeupdates)
               libtevent(x86-64) = 0.9.31-2.el7_4
           Downgraded By: libtevent-0.9.28-1.el7.x86_64 (smeos)
               libtevent(x86-64) = 0.9.28-1.el7
 You could try using --skip-broken to work around the problem
 You could try running: rpm -Va --nofiles --nodigest
[root@smeserver-10 ~]# rpm -q libtevent
libtevent-0.9.31-2.el7_4.x86_64
[root@smeserver-10 ~]#
......

Offline Jean-Philippe Pialasse

  • *
  • 1,160
  • aka Unnilennium
    • http://smeserver.pialasse.com
Re: Who gave SME Sever 10Alpha3 a test run?
« Reply #20 on: April 26, 2018, 08:37:35 PM »
Thank you for the response but when I tried it I got the following errors:
Code: [Select]
==============================================================
[root@smeserver-10 ~]# signal-event yum-modify
[root@smeserver-10 ~]# yum downgrade libtevent  --disablerepo=* --enablerepo=sme
updates-testing,smeos,smeupdates
Loaded plugins: fastestmirror, post-transaction-actions, smeserver
Loading mirror speeds from cached hostfile
 * smeos: mirror.canada.pialasse.com
 * smeupdates: mirror.canada.pialasse.com
 * smeupdates-testing: mirror.canada.pialasse.com
Resolving Dependencies
--> Running transaction check
---> Package libtevent.x86_64 0:0.9.28-1.el7 will be a downgrade
---> Package libtevent.x86_64 0:0.9.31-2.el7_4 will be erased
--> Finished Dependency Resolution
Error: Package: python-tevent-0.9.31-2.el7_4.x86_64 (@smeupdates)
           Requires: libtevent(x86-64) = 0.9.31-2.el7_4
           Removing: libtevent-0.9.31-2.el7_4.x86_64 (@smeupdates)
               libtevent(x86-64) = 0.9.31-2.el7_4
           Downgraded By: libtevent-0.9.28-1.el7.x86_64 (smeos)
               libtevent(x86-64) = 0.9.28-1.el7
 You could try using --skip-broken to work around the problem
 You could try running: rpm -Va --nofiles --nodigest
[root@smeserver-10 ~]# rpm -q libtevent
libtevent-0.9.31-2.el7_4.x86_64
[root@smeserver-10 ~]#

then

yum update smeserver-yum --enablerepo=smeupdates-testing -y
signal-event yum-modify
yum downgrade libtevent  python-tevent --disablerepo=* --enablerepo=smeupdates-testing,smeos,smeupdates

Offline edb

  • *
  • 497
Re: Who gave SME Sever 10Alpha3 a test run?
« Reply #21 on: April 26, 2018, 09:28:21 PM »
Ok the new commands worked perfectly. Thank you very much!

Code: [Select]
[root@smeserver-10 ~]# yum downgrade libtevent  --disablerepo=* --enablerepo=sme
updates-testing,smeos,smeupdates
Loaded plugins: fastestmirror, post-transaction-actions, smeserver
Loading mirror speeds from cached hostfile
 * smeos: mirror.canada.pialasse.com
 * smeupdates: mirror.canada.pialasse.com
 * smeupdates-testing: mirror.canada.pialasse.com
Resolving Dependencies
--> Running transaction check
---> Package libtevent.x86_64 0:0.9.28-1.el7 will be a downgrade
---> Package libtevent.x86_64 0:0.9.31-2.el7_4 will be erased
--> Finished Dependency Resolution
Error: Package: python-tevent-0.9.31-2.el7_4.x86_64 (@smeupdates)
           Requires: libtevent(x86-64) = 0.9.31-2.el7_4
           Removing: libtevent-0.9.31-2.el7_4.x86_64 (@smeupdates)
               libtevent(x86-64) = 0.9.31-2.el7_4
           Downgraded By: libtevent-0.9.28-1.el7.x86_64 (smeos)
               libtevent(x86-64) = 0.9.28-1.el7
 You could try using --skip-broken to work around the problem
 You could try running: rpm -Va --nofiles --nodigest
[root@smeserver-10 ~]# rpm -q libtevent
libtevent-0.9.31-2.el7_4.x86_64
[root@smeserver-10 ~]# yum update smeserver-yum --enablerepo=smeupdates-testing -y
Loaded plugins: fastestmirror, post-transaction-actions, smeserver
Loading mirror speeds from cached hostfile
 * base: mirror.netflash.net
 * smeaddons: mirror.canada.pialasse.com
 * smeextras: mirror.canada.pialasse.com
 * smeos: mirror.canada.pialasse.com
 * smeupdates: mirror.canada.pialasse.com
 * smeupdates-testing: mirror.canada.pialasse.com
 * updates: mirror2.evolution-host.com
No packages marked for update
[root@smeserver-10 ~]# signal-event yum-modify
[root@smeserver-10 ~]# yum downgrade libtevent  python-tevent --disablerepo=* --
enablerepo=smeupdates-testing,smeos,smeupdates
Loaded plugins: fastestmirror, post-transaction-actions, smeserver
Loading mirror speeds from cached hostfile
 * smeos: mirror.canada.pialasse.com
 * smeupdates: mirror.canada.pialasse.com
 * smeupdates-testing: mirror.canada.pialasse.com
Resolving Dependencies
--> Running transaction check
---> Package libtevent.x86_64 0:0.9.28-1.el7 will be a downgrade
---> Package libtevent.x86_64 0:0.9.31-2.el7_4 will be erased
---> Package python-tevent.x86_64 0:0.9.28-1.el7 will be a downgrade
---> Package python-tevent.x86_64 0:0.9.31-2.el7_4 will be erased
--> Finished Dependency Resolution

Dependencies Resolved

================================================================================
 Package               Arch           Version               Repository     Size
================================================================================
Downgrading:
 libtevent             x86_64         0.9.28-1.el7          smeos          34 k
 python-tevent         x86_64         0.9.28-1.el7          smeos          17 k

Transaction Summary
================================================================================
Downgrade  2 Packages

Total download size: 51 k
Is this ok [y/d/N]: y
Downloading packages:
(1/2): libtevent-0.9.28-1.el7.x86_64.rpm                   |  34 kB   00:00
(2/2): python-tevent-0.9.28-1.el7.x86_64.rpm               |  17 kB   00:00
--------------------------------------------------------------------------------
Total                                               91 kB/s |  51 kB  00:00
Running transaction check
Running transaction test
Transaction test succeeded
Running transaction
  Installing : libtevent-0.9.28-1.el7.x86_64                                1/4
  Installing : python-tevent-0.9.28-1.el7.x86_64                            2/4
  Cleanup    : python-tevent-0.9.31-2.el7_4.x86_64                          3/4
  Cleanup    : libtevent-0.9.31-2.el7_4.x86_64                              4/4
  Verifying  : python-tevent-0.9.28-1.el7.x86_64                            1/4
  Verifying  : libtevent-0.9.28-1.el7.x86_64                                2/4
  Verifying  : libtevent-0.9.31-2.el7_4.x86_64                              3/4
  Verifying  : python-tevent-0.9.31-2.el7_4.x86_64                          4/4

Removed:
  libtevent.x86_64 0:0.9.31-2.el7_4    python-tevent.x86_64 0:0.9.31-2.el7_4

Installed:
  libtevent.x86_64 0:0.9.28-1.el7      python-tevent.x86_64 0:0.9.28-1.el7

Complete!
[root@smeserver-10 ~]# rpm -q libtevent
libtevent-0.9.28-1.el7.x86_64

[root@smeserver-10 ~]# samba --version
Version 4.4.4
[root@smeserver-10 ~]#

« Last Edit: April 26, 2018, 09:45:33 PM by edb »
......

Offline Jean-Philippe Pialasse

  • *
  • 1,160
  • aka Unnilennium
    • http://smeserver.pialasse.com
Re: Who gave SME Sever 10Alpha3 a test run?
« Reply #22 on: April 26, 2018, 09:32:41 PM »
exclude libtevent and python-tevent from update untill some fix is out

I have openned a bug there : https://bugs.contribs.org/show_bug.cgi?id=10573

Offline edb

  • *
  • 497
Re: Who gave SME Sever 10Alpha3 a test run?
« Reply #23 on: April 26, 2018, 10:02:22 PM »
Great ... thank you very much Jean.

-edb
......

Offline edb

  • *
  • 497
Re: Who gave SME Sever 10Alpha3 a test run?
« Reply #24 on: May 28, 2018, 06:12:04 PM »
exclude libtevent and python-tevent from update untill some fix is out

I have openned a bug there : https://bugs.contribs.org/show_bug.cgi?id=10573

Has this been corrected yet? Just curious because I see version 4.6.2 now and libtevent-0.9.33-2.el7.x86_64

Is a downgrade necessary again or is it ok now.
Thanks
......

Offline Jean-Philippe Pialasse

  • *
  • 1,160
  • aka Unnilennium
    • http://smeserver.pialasse.com
Re: Who gave SME Sever 10Alpha3 a test run?
« Reply #25 on: May 28, 2018, 06:55:34 PM »
Has this been corrected yet? Just curious because I see version 4.6.2 now and libtevent-0.9.33-2.el7.x86_64

Is a downgrade necessary again or is it ok now.
Thanks

It should work with the last available version.
However if you did not update for a while I stroingly suggest to first update smeserver-yum and smeserver-support
first  and the remaining rpm after

Offline edb

  • *
  • 497
Re: Who gave SME Sever 10Alpha3 a test run?
« Reply #26 on: May 28, 2018, 07:07:51 PM »
It should work with the last available version.
However if you did not update for a while I stroingly suggest to first update smeserver-yum and smeserver-support
first  and the remaining rpm after

Great thank you!
......